"use strict";

var _wp = wp,
  apiFetch = _wp.apiFetch;
jQuery(function ($) {
  var gutenify_template_hubRedirectToKitPage = function gutenify_template_hubRedirectToKitPage(res) {
    // if( res?.status && 'active' === res.status ) {
    window.location = "".concat(window.gutenify_template_hub.gutenify_kit_gallery);
    // }
  };

  // Activate Gutenify.
  $(document).on('click', '.gutenify-template-hub-activate-gutenify', function () {
    $(this).html('<span class="dashicons dashicons-update"></span> Loading...').addClass('gutenify-template-hub-importing-gutenify');
    apiFetch({
      path: '/wp/v2/plugins/gutenify/gutenify',
      method: 'POST',
      data: {
        "status": "active"
      }
    }).then(function (res) {
      gutenify_template_hubRedirectToKitPage(res);
    })["catch"](function () {
      gutenify_template_hubRedirectToKitPage({});
    });
  });
  $(document).on('click', '.gutenify-template-hub-install-gutenify', function () {
    $(this).html('<span class="dashicons dashicons-update"></span> Loading...').addClass('gutenify-template-hub-importing-gutenify');
    apiFetch({
      path: '/wp/v2/plugins',
      method: 'POST',
      data: {
        "slug": "gutenify",
        "status": "active"
      }
    }).then(function (res) {
      gutenify_template_hubRedirectToKitPage(res);
    })["catch"](function () {
      gutenify_template_hubRedirectToKitPage({});
    });
  });
  $(document).on('click', '.gutenify-template-hub-admin-notice .notice-dismiss', function () {
    console.log(ajaxurl + "?action=gutenify_template_hub_hide_theme_info_noticebar");
    apiFetch({
      url: ajaxurl + "?action=gutenify_template_hub_hide_theme_info_noticebar&gutenify_template_hub-nonce-name=".concat(window.gutenify_template_hub.gutenify_template_hub_nonce),
      method: 'POST'
    }).then(function (res) {
      console.log(res);
    })["catch"](function (res) {
      console.log(res);
    });
  });
});